package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemMicroStation;

import java.util.Map;

/**
 * <p>
 * 微型消防站 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-10-24
 */
public interface DemMicroStationService extends CrudService<DemMicroStation> {

    /**
     * 消防站点管理-列表
     *
     * @param squadron    所属中队
     * @param stationName 消防站名称
     * @param id          主键ID
     * @param pageNum     当前页
     * @param pageSize    每页条数
     * @return
     */
    CommonPage<Map<String, Object>> microStationList(String squadron, String stationName, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 消防站点管理-修改
     *
     * @param demMicroStation
     */
    void updateMicroStation(DemMicroStation demMicroStation);

    /**
     * 消防站点管理-删除
     *
     * @param id 主键ID
     */
    void delMicroStation(Integer id);
}
